Subject: Re: Unable to delete remote branch with a strange name

From: Tomas Carnecky <[email-masked]>
Date: Tue, 28 Dec 2010 18:59:29 +0100

On 12/28/10 5:10 PM, Jingzhao Ou wrote:
> Yes, using the absolute path works like a champ!
>
> git push origin :refs/heads/remotes/origin/dev/main

Do not use the term 'path' in this context. The fact that a ref looks 
like a path, and can be stored on the filesystem under the same 
directory structure is just an implementation detail. Note the *can*, 
because in the case of packed refs (see man git-pack-refs) the term 
'path' is not even remotely accurate.

We use the term 'fully qualified ref' (see the similarity with 'fully 
qualified domain name') if we want to stress out that the full name of 
the ref is used (refs/heads/foo) instead of an abbreviation (foo).

tom